KOPANO-GATEWAY(8)

NAME
kopano-gateway - Start the Kopano IMAP/POP3 Gateway.

SYNOPSIS

kopano-gateway [OPTION...]

DESCRIPTION

The gateway enables other e-mail clients to connect through POP3 or IMAP to the storage server to read their e-mail. With IMAP, it is also possible to view the contents of other folders and subfolders. The gateway can be configured to listen for POP3, POP3S, IMAP and/or IMAPS.

The default settings of the gateway program are defined in kopano-gateway.cfg(5).

OPTIONS

Various options are possible. None of these options are required.

--config, -c gateway.cfg
    Specify the location of the gateway.cfg file. If the gateway.cfg file is not specified, the gateway will continue using its default settings.

    Default: /etc/kopano/gateway.cfg

--host, -h path
    Connect to the storage server through path, e.g. file:///path/to/socket. Default: file:///var/run/kopano/server.sock. Overrides the config file setting.

--foreground, -F
    Run in the foreground. Normally the gateway will daemonize and run in the background.

SIGNALS

The following signals can be sent to the kopano-gateway process:

HUP
    When the HUP signal is received, some options from the configuration file are reloaded. The reloadable options are listed in the kopano-gateway.cfg(5) manual page.

    Also, when using log_method = file, the logfile will be closed and a new logfile will be opened. You can use this signal in your logrotate system.

TERM
    To gracefully let the service exit, the normal TERM signal is used.

USAGE

To start the gateway:

kopano-gateway

The gateway process will keep running. You may also use the init.d scripts:

/etc/init.d/kopano-gateway [start| stop| restart]

AUTHOR

Written by Kopano.

SEE ALSO

kopano-gateway.cfg(5), kopano-server(8)